API ReferenceCustomers
Users Addresses Retrieve
Retrieve an address of an existing customer.
Authorization
oauth2 users:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: users:read
Path Parameters
id*integer
A unique integer value identifying this User address.
addressId*integer
A unique integer value identifying this User address.
Header Parameters
X-29next-API-Version*"2024-04-01"
Default
"2024-04-01"Value in
- "2024-04-01"
Response Body
application/json
curl -X GET "https://example.com/users/0/addresses/0/" \ -H "X-29next-API-Version: 2024-04-01"{ "country": "string", "first_name": "string", "id": 0, "is_default_for_billing": true, "is_default_for_shipping": true, "last_name": "string", "line1": "string", "line2": "string", "line3": "string", "line4": "string", "notes": "string", "phone_number": "string", "postcode": "string", "state": "string"}